package com.miaxis.question.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.*;
import com.miaxis.question.vo.*;

import java.util.List;

/**
 * 题库Service接口
 *
 * @author miaxis
 * @date 2021-10-20
 */
public interface IQuestionInfoService extends IService<QuestionInfo>{
    /**
     * 查询题库列表
     *
     * @param
     * @return 题库集合
     */
    List<QuestionInfo> selectQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfo> selectQuestionInfoListByIds(Long[] ids);

    List<QuestionInfoJxVO> selectJxQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoDfVO> selectDfQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoFlVO> selectFlQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfo> selectNormalQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfoSxVO> selectSxQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoExcelVo> selectQuestionInfoSortList(QuestionInfoSortDTO questionInfoSortDTO);

    void updateSortById(QuestionInfoSortUpateDTO dto);

    List<QuestionInfoExcelTypeVo> getIssueTypes(int issueTypeValue, Integer typeValue);

    List<QuestionInfo> selectTestQuestionInfo(QuestionInfoTestDTO questionInfoTestDTO);

    List<QuestionInfo> selectFreeQuestionInfo();

    List<QuestionInfo> selectQuestionInfoListByYdtIds(Long[] ids);

}

